/*
 * Copyright (c) 2026 盐灯水母
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

package com.remains_cave.item.client;

import com.remains_cave.RemainsCaveMod;
import com.remains_cave.item.custom.TombQuiverItem;
import net.minecraft.resources.ResourceLocation;
import software.bernie.geckolib.model.GeoModel;

public class TombQuiverModel extends GeoModel<TombQuiverItem> {
    private static final ResourceLocation MODEL = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "geo/item/tomb_quiver.geo.json");
    private static final ResourceLocation TEXTURE = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "textures/item/tomb_quiver.png");
    private static final ResourceLocation ANIMATION = ResourceLocation.fromNamespaceAndPath(
            RemainsCaveMod.MODID, "animations/item/tomb_quiver.animation.json");

    @Override
    public ResourceLocation getModelResource(TombQuiverItem animatable) {
        return MODEL;
    }

    @Override
    public ResourceLocation getTextureResource(TombQuiverItem animatable) {
        return TEXTURE;
    }

    @Override
    public ResourceLocation getAnimationResource(TombQuiverItem animatable) {
        return ANIMATION;
    }
}